Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class ColumnIndexer

    java.lang.Object
      org.apache.cassandra.db.ColumnIndexer

    public class ColumnIndexer

extends java.lang.Object

Help to create an index for a column family based on size of columns

Constructor Summary
`ColumnIndexer()`

Method Summary
`static void` | `serialize(ColumnFamily columnFamily, java.io.DataOutput dos)` Given a column family this, function creates an in-memory structure that represents the column index for the column family, and subsequently writes it to disk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnIndexer

    public ColumnIndexer()

Method Detail

### serialize

    public static void serialize(ColumnFamily columnFamily,
                                 java.io.DataOutput dos)

  Given a column family this, function creates an in-memory structure that represents the column index for the column family, and subsequently writes it to disk.

  Parameters:
    `columnFamily` - Column family to create index for
    `dos` - data output stream
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation